- Reference
- OCPI 2.1.1 (CPO)
- Retrieve our platform's OCPI 2.1.1 credentials
OpenAPI reference
Retrieve our platform's OCPI 2.1.1 credentials
GET
/credentialsGET /credentials
API: OCPI 2.1.1 (CPO) · Module: Credentials
Base path:/credentials· Base URL:https://ocpi-api.gridos.co/ocpi/cpo/2.1.1
Overview
GET /credentialsAbsolute URL: https://ocpi-api.gridos.co/ocpi/cpo/2.1.1/credentials
Requires authentication. Use Authorization: Token <token>. See OCPI credentials.
How to call
Quick Shell sample (set OCPI_TOKEN when auth is required). Full Python and TypeScript under Examples.
curl -sS -X GET 'https://ocpi-api.gridos.co/ocpi/cpo/2.1.1/credentials' \
-H "Authorization: Token $OCPI_TOKEN"Responses
| Status | Description | Schema |
|---|---|---|
200 | Successful Response | CredentialsResponse |
401 | Unauthorized | — |
200 — successful response
application/json
Schema: CredentialsResponse
| Field | Type | Required | Description |
|---|---|---|---|
status_code | integer | No | Default: 1000 |
status_message | string | No | — |
timestamp | string (date-time) | No | — |
data | Credentials | No | Credentials |
Response example
{
"data": {
"business_details": {
"name": "TheNewMotion",
"website": "https://www.thenewmotion.com"
},
"country_code": "NL",
"party_id": "TNM",
"token": "ebf3b399-779f-4497-9b9d-ac6ad3cc44",
"url": "https://example.com/ocpi/2.1.1"
},
"status_code": 1000,
"status_message": "Success",
"timestamp": "2015-06-29T22:39:09Z"
}401 — unauthorized
application/json
Response example
{
"status_code": 2000,
"status_message": "Unauthorized",
"timestamp": "2025-01-01T00:00:00Z"
}Examples
Shell, Python, and TypeScript (set OCPI_TOKEN when auth is required).
curl -sS -X GET 'https://ocpi-api.gridos.co/ocpi/cpo/2.1.1/credentials' \
-H "Authorization: Token $OCPI_TOKEN"